<?php
//-- ------ #Initial config ------
require('../../../Config/m_default/Config/netsFileConfig.php');
require('../../../Config/m_default/Config/netsFileConfig_Regular.php');
require('../../../Config/m_default/Config/netsFileConfig_ADD.php');
require($netsFileConfig['sysCoreRoot'].'Config/m_default/Config/netsConfig.php');
require($netsFileConfig['sysCoreRoot'].$netsFileConfig['sysLanguagePathRoot'].$netsFileConfig['sysLanguage'].'Mana/Nets/common.php');
//-- ------ #Require config and base class ------
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsFile.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsError.php');
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Cache/netsCache.php');
//-- ------ #Path ------
$tmpFile=new netsFile();
$netsFileConfig['sysCoreRoot_Real']=$tmpFile->getRealname($netsFileConfig['sysCoreRoot'],0);
$netsFileConfig['sysUiCoreRoot_Real']=$tmpFile->getRealname($netsFileConfig['sysUiCoreRoot'],0);
$netsFileConfig['bussinessTemplatePackagePath_Real']=$tmpFile->getRealname($netsFileConfig['bussinessTemplatePackagePath'],0);
//-- ------ #Require entitry ------
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserinfo.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserinfocont.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsusergroup.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsusertype.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsusertypecont.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsusergrade.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserunit.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserunitcont.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserdepartment.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserdepartmentcont.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserdaily.php');
require($netsFileConfig['sysCoreRoot_Real'].'Cache/DbDescription/netsuserdailycont.php');
//-- ------ #Require db class ------
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Cache/netsDbCache.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Db/netsMySql.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Db/netsDb.php');
//-- ------ #Require page class ------
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Cache/netsPageCache.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Html/netsHtml.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Html/netsPage.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Html/netsControl.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Html/netsControls.php');
//-- ------ #Require class ------
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Nets/User/netsuserinfo.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Nets/User/netsuserdaily.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Nets/System/netssysmenu.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Nets/System/netssystable.php');
//-- ------ #Require function class ------
require($netsFileConfig['sysCoreRoot_Real'].'Inc/netsFunc/Func/netsCode.php');

require($netsFileConfig['sysCoreRoot_Real'].'Component/Nets/netsEditor/netsEditor.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_DropdownAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_NDropdownAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_Hidden.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_Label.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_LabelAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_LabelShow.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_LabelImg.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_Non.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/List_Text.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_CCode.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_CACode.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_CheckboxAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_CheckboxAR_DataColumns.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_ChildChoose.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_ChildChooseX.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_DropdownAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_NDropdownAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_DropdownTable.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Hidden.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_HtmlEdit.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_HtmlEditBasic.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Label.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_LabelAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_LabelShow.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_LabelImg.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_MapChoose.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_MenuPower.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Non.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Pxd.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_RadioAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_LinkAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Scoring.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_FromTo.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Into.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Source.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Sources.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_SourceX.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_SourcesX.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_Text.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_TextStyle.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_TextOptions.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_TextArea.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_TextChoose.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_TextChooses.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_TextChooses_Checkbox.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Normal_UserEdit.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_DropdownAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_NDropdownAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_LinkAR.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_Hidden.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_Non.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_Text.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_FromTo.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Control/Search_TextChoose.php');

require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Class/ComPage.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Class/ComControls.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Class/ComControlPage.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Class/CustomPage.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Class/CustomControls.php');
require($netsFileConfig['sysCoreRoot_Real'].'Mana/Common/Class/CustomControlPage.php');

require('../../../Component/Nets/DataList/netsPButton.php');
require('../../../Component/Nets/DataList/netsPAjaxButton.php');
//-- ------ #Head class ------
class initialHead extends netsControl {
	public $sMenuid=0;
	public $sMenu0=array();
	public $sMenu1=array();
	public $sMenu2=array();
	public $sApp_Menu=array();
	
	public $sOpenSort=0;
	
	public function initialHead(){
		$this->netsControl();
	}

	public function getMenu($pParid,$pUserTypeid,$pMenuPower){
		$tmpFlag='Mana';
		return $this->sApp_Menu->getChildMenu($pParid,1,$tmpFlag,'',$pUserTypeid,$pMenuPower);
	}
	public function getQMenu($pParid,$pUserTypeid,$pMenuPower){
		$tmpFlag='Q_Mana';
		return $this->sApp_Menu->getChildMenu($pParid,1,$tmpFlag,'',$pUserTypeid,$pMenuPower);
	}
	public function accMenu($pUserTypeid){
		$this->sApp_Menu=new netssysmenu($this->sConnString);
		$this->sAR_Menu=array();
		$tmpFlag='Mana';
		$tmpData0=$this->sApp_Menu->getParMenu($this->sMenuid,$pUserTypeid,$tmpFlag);
		if (count($tmpData0)>0) {
			$this->sAR_Menu[]=$tmpData0[0];
		}
		$Coun0=0;
		while (count($this->sAR_Menu)>$Coun0) {
			$tmpData0=$this->sApp_Menu->getParMenu($this->sAR_Menu[$Coun0]['smetParid'],$pUserTypeid,$tmpFlag);
			if (count($tmpData0)>0) {
				$this->sAR_Menu[]=$tmpData0[0];
			}
			$Coun0++;
		}
		
		return 0;
	}
}
//-- ------ #Instanct ------
$tmpComHead=new initialHead();
$tmpComHead->start_Point();
?>